
/*--------подготовка шрифтов, справка-------------------*/
/*скачать fontawesome:  https://fontawesome.ru/assets/font-awesome-4.7.0.zip  */

/* ----------установка шрифтов------------------------
@import url('https://fonts.googleapis.com/css2?family=Montserrat+Alternates:wght@300&family=Montserrat+Subrayada:wght@400;700&display=swap');*/
/*
CSS rules to specify families:
font-family: 'Montserrat Alternates', sans-serif;
font-family: 'Montserrat Subrayada', sans-serif;
*/

/*-----------fonts---------------------*/
@font-face{
    font-family: 'Montserrat Subrayada';
    src: url('../fonts/Montserrat Subrayada/MontserratSubrayada-Regular.woff2') format("woff2");
    font-weight: bold;
    font-style: normal;
}
@font-face{
    font-family: "Montserrat Subrayada-light";
    src: url('../fonts/Montserrat Alternates/Montserrat-Light.woff2');
    font-weight: 300;
    font-style: normal;
}

@font-face{
    font-family: 'Montserrat Subrayada-thin';
    src: url("../fonts/Montserrat Alternates/Montserrat-Thin.woff2");
    font-weight: 100;
    font-style: normal;
}

/*-----root,   wrapper, h4, a -------------*/
:root{
    --companyGreen: #18CFAB;
    --companyBlue: #00CBF6;
    --wrapper_width: 1160px;
    --picColectionsWidth: 192px;
}
h4 {
    position: relative;
    color: #4E4E4E;
    font-family: Montserrat Subrayada-light, sans-serif;
    font-size: 36px;
    line-height: 40px;
    margin-top: 83px;
    margin-bottom: 90px;
}
h4:after {
    content: "";
    position: absolute;
    width: 80px;
    border-bottom: 1px solid var(--companyGreen);
    box-shadow: 20px 6px 0 0 var(--companyGreen);
    top: 70px;
    left: 45%;
}
a{
    text-decoration: none;
}
.wrapper {
    max-width: var(--wrapper_width);
    margin: 0 auto;
    background-color: #f5f5f5;
    font-style: normal;
    font-family: 'Montserrat Subrayada', sans-serif;
    text-align: center;
}

/*-------------- intro section -----------------*/
.intro-page-container{
    background-image: url("../pictures/Sections background/section-1_header.jpg");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-position-y: -10px;
    background-attachment: fixed;
}
.header {
    display: flex;
    flex-flow: wrap row;
    justify-content: space-evenly;
    background-color: rgba(94, 93, 88, 0.6);
    align-items: center;
}
.header h1 {
    font-size: 32px;
    line-height: 48px;
    color: var(--companyGreen);
}
.logo1 {
    /*https://bennettfeely.com/clippy/*/
    clip-path: polygon(50% 0, 100% 25%, 100% 75%, 50% 100%, 0 75%, 0 25%);
    width: 58px;
    height: 67px;
    background-color: var(--companyGreen);
    font-size: 40px;
    color: white;
    display: inline-block; /*чтобы сработали размеры для span-а*/
    vertical-align: middle;
    /* центрироварие одной строки по вертикали должно всегда быть в спарке с:
     line-height: 67px;   и      height: 67px;*/
    line-height: 67px;
    }
.logo2 {
    font-size: 32px;
    line-height: 48px;
    color: white;
    font-family: 'Montserrat Subrayada-light', sans-serif;
    font-weight: 300;
}

.nav-bar {
    display: flex;
    flex-flow: nowrap row;
    justify-content: space-evenly;
    gap: 21px;
    list-style-type: none;
    align-items: center;
    }

.nav-bar a {
    text-transform: uppercase;
    padding: 34px 0 34px 0;
    font-size: 16px;
    line-height: 24px;
    font-family: 'Montserrat Subrayada', sans-serif;
    font-weight: 700;
    color: #BBBBBB;
}

.nav-bar-item:hover>a {
    color: var(--companyGreen);
}
.nav-bar-item {
    position: relative;
}

.nav-bar-item:hover:not(.nav-bar li:last-child):after {
    content: "";
    width: 100%;
    position: absolute;
    border-bottom: 2px solid var(--companyGreen);
    /*bottom: -41px;    -для старой верстки меню через ul>li>a*6  */
    bottom: -6px; /*  -для новой версии верстки через  nav>a*6  */
    left: 0;
}

/*-------------intro section ---------------------*/
.intro-page{
    padding-top: 264px;
    text-align: center;
}
.intro-page h3{
    font-size: 35px;
    font-weight: 700;
    color: var(--companyGreen);
    text-transform: uppercase;
}
.intro-header-h3{
    color: white;
}
.intro-page h2{
    color: white;
    font-size: 78px;
    font-weight: 700;
    text-transform: uppercase;
    padding-top: 22px;
    padding-bottom: 22px;
}
.intro-page>p {
    font-size: 34px;
    font-weight: 300;
    font-family: 'Montserrat Subrayada-light', sans-serif;
    color: #D4D4D4;
    padding-bottom: 134px;
}
.tabs-intro-section, .services-tabs{
    list-style-type: none;
    text-align: center;
}
.but-general {
    cursor: pointer;
    box-shadow: 0 -6px 0 0 rgba(252, 253, 254, 1);
    padding: 16px 18px 16px 17px;
    border: none;
    font-size: 15px;
    line-height: 22px;
    border-radius: 6px;
    color: white;
    font-weight: 700;
    background-color: var(--companyGreen);
}
.purchase-now{
    padding: 16px 11px 16px 12px;
    background-color: var(--companyBlue);
    margin-bottom: 259px;
}

/*----------TABs section-----------------*/
.tabs-intro-section{
    display: flex;
    margin: 0 auto;
    width: 100%;
}
.tab-intro-item {
    display: inline-block;
    width: 25%;
    background-color: var(--companyGreen);
    border-top: 6px solid white;
    cursor: pointer;
}
.tab-intro-item:nth-child(2n+1) {
    background-color:  #1C2A33;
}
.tab-intro-item:nth-child(2n+1)>p{
    color: var(--companyGreen);
}
.tabs1-pics{
    padding-top: 50px;
    margin-bottom: 28px;
    display: inline-block;
    height: 60px;
}
.tab-intro-item>p{
    color: white;
    text-transform: uppercase;
    font-size: 20px;
    line-height: 24px;
    padding-bottom: 50px;
}

/* ---------- service section ------------------*/
.services-tabs {
    display: inline-block;
    margin-bottom: 23px;
}
.tabs-item {
    display: inline-block;
    font-family: 'Montserrat Subrayada', sans-serif;
    padding: 17px 34px 18px;
    font-size: 15px;
    line-height: 39px;
    color: #717171;
}
.tabs-item:hover {
    outline: 2px solid var(--companyGreen);
    /*outline-offset: -8px;*/
    cursor: pointer;
}
.tabs-item:active {
    background-color: var(--companyGreen);
    color: white;
}
.services-content {
    display: none;  /*устанавливать скриптом в flex когда нужно будет показать на странице данный элемент!*/
    margin: 0 auto 91px;
}
.services-content img{
    width: var(--picColectionsWidth);
}
.services-content p {
    text-align: justify;
    padding-left: 15px;
    color: #777777;
    font-size: 14px;
    line-height: 24px;
}
/* -----------end of: service section ------------------*/

/*------------purchase banner1  section  -------------------*/
.banner-purchase-now {
    position: relative;
    z-index: 0;
}
.banner-purchase-now::after { /*  сюда бросаем фоновую картинку и затемняем ее  */
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(200, 200, 200, 0.3);
    background-image: url('../pictures/other/banner1_bgnd.png');
    background-size: 100% 376px;
    background-repeat: no-repeat;
    filter: brightness(20%);
    width: var(--wrapper_width);
    height: 376px;
    z-index: -1;
}
.banner-purchase-now h2 {
    text-transform: uppercase;
    font-size: 30px;
    line-height: 40px;
    color: var(--companyGreen);
    padding-top: 70px;
    margin-bottom: 12px;
}
.banner-purchase-now p {
    font-size: 16px;
    line-height: 40px;
    font-family: 'Montserrat Subrayada-light', sans-serif;
    font-weight: 400;
    color: #D8D8D8;
    padding-bottom: 67px;
}

.banner-purchase-now button{
    margin-bottom: 80px;
}

.load-more-but {
    /*display: none; !*по-умолчанию выключенная кнопка потом включится скриптом*!*/
    text-transform: uppercase;
    box-shadow: none;
    margin-top: 70px;
}
.load-more-but>span {
    font-weight: 700;
    font-size: 30px;
    padding-right: 4px;
}


/*-------------------our amazing work section ------------------    */

.aw {
    outline: 1px solid #DDDDDD;
    outline-offset: 2px;
}



.amazing-work:active {
    color: var(--companyGreen);
    background-color: white;
}
.amazing-work-container {
    /*Сюда выводим все картинки в зав-ти от клика по табам.  Стилизуем контент раздела   our-amazing-works */
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-auto-rows: 1fr;
    justify-content: center;
}

#loadingMSG {
    color: firebrick;
    font-size: 6rem;
    text-shadow: 2px 3px #1C2A33;
    padding: 1rem;
    border: 2px dashed indianred;
    border-radius: 4px;
    transform: skewX(-5deg);
}

.contentDIV {
    background-color: white;
    position: relative;
    margin: 0 auto;
    text-align: center;
}

.elemNewFace { /*позиционирую саму накладку на изображение по ховеру*/
    position: absolute;
    top: 0;
    left: 0;
    border: 2px solid green;
    width: 278px;
    height: 208px;
}

.elemNewFace a {
    position: absolute;
    top: 50px;
    left: 120px;
    display: inline-block;
    text-align: center;
    margin: 0 auto;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: 2px solid var(--companyGreen);
    color: var(--companyGreen);
}
.elemNewFace a:hover {
    background-color: var(--companyGreen);
}

.elemNewFace a:hover img {
    visibility: hidden;
}
.elemNewFace a:hover>.square {
    visibility: visible;
}
.square {
    opacity: 0.5;
    position:absolute;
    top: 52px;
    left: 134px;
    transform: translateY(90%);
    width: 10px;
    height: 10px;
    border: 2px solid white;
    background-color: white;
    z-index: 3;
}

.elem-project {
    color: var(--companyGreen);
    font-size: 15px;
    text-transform: uppercase;
    font-weight: 700;
    line-height: 24px;
    padding-top: 7rem;
}
.elem-theme {
    font-size: 15px;
    line-height: 20px;
    color: #717171;
}

.link-svg {
    fill: var(--companyGreen);
    position:absolute;
    top: 10px;
    left: 9px;
}

/*---------------breaking news --------------------------*/
.breaking-news {
    display: flex;
    flex-flow: wrap row;
    gap: 35px;
    justify-content: space-evenly;
}

.news-elem {
    position: relative;
    margin-bottom: 20px;
    line-height: 39px;
    color: #777777;
}
.news-elem>p:first-of-type {
    font-size: 18px;
    font-weight: 700;
}
.news-elem:hover .post-name {
    color: var(--companyGreen);
}
.news-elem:hover .date {
    background-color: var(--companyGreen);
}
.news-elem>p:nth-of-type(2) {
    font-size: 14px;
    font-weight: 300;
    color: #777777;
}
.date {
    position: absolute;
    top: 0;
    right: 0;
    width: 70px;
    height: 68px;
    background-color: #203E38;
    font-weight: 400;
    line-height: 25px;
    font-size: 16px;
    color: white;
}
.date>p:first-child {
    padding-top: 12px;
}
.date>p:last-child {
}

/*----------------what-people-say-section -------------------------*/

/* ------- основной slider - контент: ------  */
.what-people-say-section {
    position: relative;
    margin: 0 auto 5rem;
    z-index: 0;
    padding-bottom: 10rem;
}
.what-people-say-section>h4 {
    color: white;
    font-weight: 400;
    padding-top: 68px; /*этот паддинг корректирует сбитое позиционирование двойного подчеркивания заголовка h4 -не трогать!*/
}
.what-people-say-section>h4::after {
    top: 130px;
}
.what-people-say-section::after {
    position: absolute;
    top: 0; left: 0;
    width: var(--wrapper_width);
    max-width: var(--wrapper_width);
    content: "";
    background-image: url("../pictures/what-people-say-about-us/bg-img.png");
    background-color: #1C2A33;  /*иногда его нужно делать прозрачным:  rgba(200, 200, 200, 0.3)*/
    background-repeat: no-repeat;
    background-size: var(--wrapper_width) 100%;
    background-position-x: 20%;
    filter: brightness(25%);
    z-index: -1;
    height: 753px;
}

.svg-container { /*пришлось обернуть SVG в DIV, иначе SVG плавает по горизонтали в завис-ти от ширины viewport-a */
    position: relative;
}
.svg-container>svg {
    position: absolute;
    top:-100px;
    left: 49%;
    fill: var(--companyGreen);
}
.person-description {
    font-size: 16px;
    line-height: 30px;
    font-weight: 300;
    color: #BBBBBB;
    padding-top: 30px;
    max-width: 80%;
    margin: 0 auto;
}
.person-name {
    color: var(--companyGreen);
    font-size: 16px;
    line-height: 27px;
    font-weight: 700;
    text-transform: uppercase;
    padding: 20px 0 20px 1rem;
}
.person-position {
    font-size: 13px;
    line-height: 27px;
    font-weight: 300;
    color: #BBBBBB;
    padding-bottom: 20px;
    padding-left: 1rem;
}
.person-face {
    margin: 0 auto 50px;
    width: 138px;
    height: 138px;
    border-radius: 50%;
    box-shadow: 0 0 0 10px rgba(17, 75, 67, 0.6);
    overflow: hidden;
}
.person-face-min {
    margin: 0 auto;
    width: 58px;
    height: 58px;
    border-radius: 50%;
    box-shadow: 0 0 0 5px rgba(17, 75, 67, 0.6);
    overflow: hidden;
}
footer {
    background-color: #22353F;
    padding: 46px 0;
    margin: 0 auto;
    max-width: var(--wrapper_width);
    font-style: normal;
    font-family: 'Montserrat Subrayada', sans-serif;
    text-align: center;
}
footer>p {
    font-size: 14px;
    line-height: 26px;
    font-weight: 300;
    color: #AEAEAE;
}
footer>p>span {
    color: var(--companyGreen);
}
/* демо свайпера: https://swiperjs.com/demos   см.:  Pagination Custom
исходный код:  https://github.com/nolimits4web/Swiper/blob/master/demos/070-pagination-custom.html  */

